<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:sch="http://www.ascc.net/xml/schematron"
                xmlns:A2A="http://Mindbus.nl/A2A"
                version="1.0"
                A2A:dummy-for-xmlns="">
   <xsl:output method="text"/>
   <xsl:template match="*|@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:if test="count(. | ../@*) = count(../@*)">@</xsl:if>
      <xsl:value-of select="name()"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+count(preceding-sibling::*[name()=name(current())])"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="/">
      <xsl:apply-templates select="/" mode="M1"/>
      <xsl:apply-templates select="/" mode="M2"/>
      <xsl:apply-templates select="/" mode="M3"/>
      <xsl:apply-templates select="/" mode="M4"/>
      <xsl:apply-templates select="/" mode="M5"/>
      <xsl:apply-templates select="/" mode="M6"/>
      <xsl:apply-templates select="/" mode="M7"/>
      <xsl:apply-templates select="/" mode="M8"/>
      <xsl:apply-templates select="/" mode="M9"/>
      <xsl:apply-templates select="/" mode="M10"/>
   </xsl:template>
   <xsl:template match="A2A:PersonName" priority="4000" mode="M1">
      <xsl:if test="A2A:PersonNameFamilyName">
         <xsl:message>Gebruik van Familyname is niet toegestaan (A2A:PersonNameFamilyName)</xsl:message>
      </xsl:if>
      <xsl:apply-templates mode="M1"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M1"/>
   <xsl:template match="A2A:Source" priority="4000" mode="M2">
      <xsl:choose>
         <xsl:when test="A2A:SourceType and normalize-space(A2A:SourceType)"/>
         <xsl:otherwise>
            <xsl:message>Er is geen bronsoort opgegeven (A2A:SourceType and normalize-space(A2A:SourceType))</xsl:message>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M2"/>
   <xsl:template match="A2A:SourceType" priority="4000" mode="M3">
      <xsl:choose>
         <xsl:when test=".='DTB Begraven'"/>
         <xsl:otherwise>
            <xsl:message>Er mag geen andere Bronsoort zijn dan DTB Begraven (.='DTB Begraven')</xsl:message>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M3"/>
   <xsl:template match="A2A:SourceReference" priority="4000" mode="M4">
      <xsl:choose>
         <xsl:when test="A2A:InstitutionName and normalize-space(A2A:InstitutionName)"/>
         <xsl:otherwise>
            <xsl:message>Er is geen naam van de instelling opgegeven (A2A:InstitutionName and normalize-space(A2A:InstitutionName))</xsl:message>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="A2A:Place and normalize-space(A2A:Place)"/>
         <xsl:otherwise>
            <xsl:message>Er is geen plaats van de instelling opgegeven (A2A:Place and normalize-space(A2A:Place))</xsl:message>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M4"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M4"/>
   <xsl:template match="A2A:Source" priority="4000" mode="M5">
      <xsl:choose>
         <xsl:when test="A2A:SourceLastChangeDate and normalize-space(A2A:SourceLastChangeDate)"/>
         <xsl:otherwise>
            <xsl:message>Er is geen mutatiedatum opgegeven (A2A:SourceLastChangeDate and normalize-space(A2A:SourceLastChangeDate))</xsl:message>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M5"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M5"/>
   <xsl:template match="A2A:A2A" priority="4000" mode="M6">
      <xsl:choose>
         <xsl:when test="A2A:Person and A2A:Event and A2A:RelationEP"/>
         <xsl:otherwise>
            <xsl:message>Er is niet zowel een Person als een Event als een RelationEP gedefinieerd (A2A:Person and A2A:Event and A2A:RelationEP)</xsl:message>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M6"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M6"/>
   <xsl:template match="A2A:EventType" priority="4000" mode="M7">
      <xsl:choose>
         <xsl:when test=".='Overlijden' or .='Begraven'"/>
         <xsl:otherwise>
            <xsl:message>Er mag geen ander EventType voorkomen dan Overlijden en Begraven (.='Overlijden' or .='Begraven')</xsl:message>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M7"/>
   </xsl:template>
   <xsl:template match="A2A:A2A" priority="3999" mode="M7">
      <xsl:choose>
         <xsl:when test="count(A2A:Event[A2A:EventType='Overlijden']) &lt;= 1"/>
         <xsl:otherwise>
            <xsl:message>Er is meer dan 1 EventType=Overlijden (count(A2A:Event[A2A:EventType='Overlijden']) &lt;= 1)</xsl:message>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="count(A2A:Event[A2A:EventType='Begraven']) &lt;= 1"/>
         <xsl:otherwise>
            <xsl:message>Er is meer dan 1 EventType=Begraven (count(A2A:Event[A2A:EventType='Begraven']) &lt;= 1)</xsl:message>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M7"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M7"/>
   <xsl:template match="A2A:A2A" priority="4000" mode="M8">
      <xsl:choose>
         <xsl:when test="count(A2A:RelationEP[A2A:RelationType='Overledene']) &lt;= 1"/>
         <xsl:otherwise>
            <xsl:message>Er is meer dan 1 Overledene opgegeven (count(A2A:RelationEP[A2A:RelationType='Overledene']) &lt;= 1)</xsl:message>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M8"/>
   </xsl:template>
   <xsl:template match="A2A:RelationEP/A2A:RelationType" priority="3999" mode="M8">
      <xsl:if test=".!='Overledene'">
         <xsl:message>Er is een ongeldige RelationType in RelationEP meegegeven (.!='Overledene')</xsl:message>
      </xsl:if>
      <xsl:apply-templates mode="M8"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M8"/>
   <xsl:template match="A2A:A2A" priority="4000" mode="M9">
      <xsl:if test="A2A:Object">
         <xsl:message>Er mag geen Object voorkomen (A2A:Object)</xsl:message>
      </xsl:if>
      <xsl:if test="A2A:RelationPO">
         <xsl:message>Er mag geen RelationPO voorkomen (A2A:RelationPO)</xsl:message>
      </xsl:if>
      <xsl:if test="A2A:RelationOO">
         <xsl:message>Er mag geen RelationOO voorkomen (A2A:RelationOO)</xsl:message>
      </xsl:if>
      <xsl:if test="A2A:RelationEO">
         <xsl:message>Er mag geen RelationEO voorkomen (A2A:RelationEO)</xsl:message>
      </xsl:if>
      <xsl:if test="A2A:RelationO">
         <xsl:message>Er mag geen RelationO voorkomen (A2A:RelationO)</xsl:message>
      </xsl:if>
      <xsl:apply-templates mode="M9"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M9"/>
   <xsl:template match="A2A:PersonRemark" priority="4000" mode="M10">
      <xsl:if test="@Key!='Opmerking'">
         <xsl:message>Alleen Opmerking als key van PersonRemark toegestaan (@Key!='Opmerking')</xsl:message>
      </xsl:if>
      <xsl:apply-templates mode="M10"/>
   </xsl:template>
   <xsl:template match="A2A:PersonNameRemark" priority="3999" mode="M10">
      <xsl:if test="@Key">
         <xsl:message>PersonNameRemarks zijn niet toegestaan (@Key)</xsl:message>
      </xsl:if>
      <xsl:apply-templates mode="M10"/>
   </xsl:template>
   <xsl:template match="A2A:EventRemark" priority="3998" mode="M10">
      <xsl:if test="@Key!='Opmerking'">
         <xsl:message>Alleen Opmerking als key van EventRemarks toegestaan (@Key!='Opmerking')</xsl:message>
      </xsl:if>
      <xsl:apply-templates mode="M10"/>
   </xsl:template>
   <xsl:template match="A2A:DetailPlaceRemark" priority="3997" mode="M10">
      <xsl:if test="@Key">
         <xsl:message>DetailPlaceRemarks zijn niet toegestaan (@Key)</xsl:message>
      </xsl:if>
      <xsl:apply-templates mode="M10"/>
   </xsl:template>
   <xsl:template match="A2A:ObjectRemark" priority="3996" mode="M10">
      <xsl:if test="@Key">
         <xsl:message>ObjectRemarks zijn niet toegestaan (@Key)</xsl:message>
      </xsl:if>
      <xsl:apply-templates mode="M10"/>
   </xsl:template>
   <xsl:template match="A2A:SourceRemark" priority="3995" mode="M10">
      <xsl:if test="@Key!='Opmerking' and @Key!='AkteBedrag' and @Key!='AuteurBron' and @Key != 'AkteSoort'">
         <xsl:message>Alleen AkteBedrag, Opmerking, AkteSoort en AuteurBron zijn geldig als Key van SourceRemark (@Key!='Opmerking' and @Key!='AkteBedrag' and @Key!='AuteurBron' and @Key != 'AkteSoort')</xsl:message>
      </xsl:if>
      <xsl:apply-templates mode="M10"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M10"/>
   <xsl:template match="text()" priority="-1"/>
</xsl:stylesheet>